Get POS settings
curl --request POST \
--url https://public-api-demo.clearline.me/v2/pos/{posSystemId}/settings/lookup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"posCompanyId": "6orMqUyq2Hg3tP"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({posCompanyId: '6orMqUyq2Hg3tP'})
};
fetch('https://public-api-demo.clearline.me/v2/pos/{posSystemId}/settings/lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public-api-demo.clearline.me/v2/pos/{posSystemId}/settings/lookup"
payload = { "posCompanyId": "6orMqUyq2Hg3tP" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://public-api-demo.clearline.me/v2/pos/{posSystemId}/settings/lookup");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"posCompanyId\": \"6orMqUyq2Hg3tP\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://public-api-demo.clearline.me/v2/pos/{posSystemId}/settings/lookup")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"posCompanyId\": \"6orMqUyq2Hg3tP\"\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://public-api-demo.clearline.me/v2/pos/{posSystemId}/settings/lookup"
payload := strings.NewReader("{\n \"posCompanyId\": \"6orMqUyq2Hg3tP\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://public-api-demo.clearline.me/v2/pos/{posSystemId}/settings/lookup")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"posCompanyId\": \"6orMqUyq2Hg3tP\"\n}")
.asString();{
"data": {
"posCompanyId": "<string>",
"accountStatus": "AccountNotFound",
"companySettings": {
"isCheckInMenuEnabled": true,
"isTransactionsEnabled": true,
"isPosRulesEnabled": true,
"isReceiptPromotionEnabled": true,
"isCouponsEnabled": true,
"isProductsImportEnabled": true
},
"notificationSettings": {
"status": "Enabled",
"channel": "None",
"configuration": {}
}
}
}POS Settings
Get POS settings
Retrieve POS Settings for company’s POS ID.
POST
/
v2
/
pos
/
{posSystemId}
/
settings
/
lookup
Get POS settings
curl --request POST \
--url https://public-api-demo.clearline.me/v2/pos/{posSystemId}/settings/lookup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"posCompanyId": "6orMqUyq2Hg3tP"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({posCompanyId: '6orMqUyq2Hg3tP'})
};
fetch('https://public-api-demo.clearline.me/v2/pos/{posSystemId}/settings/lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public-api-demo.clearline.me/v2/pos/{posSystemId}/settings/lookup"
payload = { "posCompanyId": "6orMqUyq2Hg3tP" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://public-api-demo.clearline.me/v2/pos/{posSystemId}/settings/lookup");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"posCompanyId\": \"6orMqUyq2Hg3tP\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://public-api-demo.clearline.me/v2/pos/{posSystemId}/settings/lookup")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"posCompanyId\": \"6orMqUyq2Hg3tP\"\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://public-api-demo.clearline.me/v2/pos/{posSystemId}/settings/lookup"
payload := strings.NewReader("{\n \"posCompanyId\": \"6orMqUyq2Hg3tP\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://public-api-demo.clearline.me/v2/pos/{posSystemId}/settings/lookup")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"posCompanyId\": \"6orMqUyq2Hg3tP\"\n}")
.asString();{
"data": {
"posCompanyId": "<string>",
"accountStatus": "AccountNotFound",
"companySettings": {
"isCheckInMenuEnabled": true,
"isTransactionsEnabled": true,
"isPosRulesEnabled": true,
"isReceiptPromotionEnabled": true,
"isCouponsEnabled": true,
"isProductsImportEnabled": true
},
"notificationSettings": {
"status": "Enabled",
"channel": "None",
"configuration": {}
}
}
}Authorizations
BearerAuthImplicitAuth
JWT Authorization header using the Bearer scheme.
Enter JWT Bearer token only in the text input below.
Path Parameters
POS system id
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+jsonapplication/xmltext/xmlapplication/*+xml
Request
Request model for POS company settings
The company POS identifier
Minimum string length:
1Response
Success
Pos settings data
Show child attributes
Show child attributes
⌘I